HandshakeRequest (WebSocket 1.1 API Documentation - Apache Tomcat 9.0.118)
Description: declaration: package: javax.websocket.server, interface: HandshakeRequest

# Interface HandshakeRequest

public interface HandshakeRequest
Represents the HTTP request that asked to be upgraded to WebSocket.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SEC_WEBSOCKET_EXTENSIONS`
  `static final String`
  `SEC_WEBSOCKET_KEY`
  `static final String`
  `SEC_WEBSOCKET_PROTOCOL`
  `static final String`
  `SEC_WEBSOCKET_VERSION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String, List<String>>`
  `getHeaders()`
  `Object`
  `getHttpSession()`
  Get the HTTP Session object associated with this request.
  `Map<String, List<String>>`
  `getParameterMap()`
  `String`
  `getQueryString()`
  `URI`
  `getRequestURI()`
  `Principal`
  `getUserPrincipal()`
  `boolean`
  `isUserInRole(String role)`

- ## Field Details

  - ### SEC_WEBSOCKET_KEY

    static final String SEC_WEBSOCKET_KEY
    See Also:
      - Constant Field Values

  - ### SEC_WEBSOCKET_PROTOCOL

    static final String SEC_WEBSOCKET_PROTOCOL
    See Also:
      - Constant Field Values

  - ### SEC_WEBSOCKET_VERSION

    static final String SEC_WEBSOCKET_VERSION
    See Also:
      - Constant Field Values

  - ### SEC_WEBSOCKET_EXTENSIONS

    static final String SEC_WEBSOCKET_EXTENSIONS
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getHeaders

    Map<String, List<String>> getHeaders()

  - ### getUserPrincipal

    Principal getUserPrincipal()

  - ### getRequestURI

    URI getRequestURI()

  - ### isUserInRole

    boolean isUserInRole(String role)

  - ### getHttpSession

    Object getHttpSession()
    Get the HTTP Session object associated with this request. Object is used to avoid a direct dependency on the Servlet API.
    Returns:
      The javax.servlet.http.HttpSession object associated with this request, if any.

  - ### getParameterMap

    Map<String, List<String>> getParameterMap()

  - ### getQueryString

    String getQueryString()